Bug 121537 - proc man page has wrong order for statm
Summary: proc man page has wrong order for statm
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-22 16:35 UTC by David Eisner
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.67
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 18:17:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Eisner 2004-04-22 16:35:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a)
Gecko/20040421 Firefox/0.8.0+

Description of problem:
The order of the fields in statm is incorrect.  It currently says:

--snip--
  statm  Provides  information  about memory status in pages.  The
         columns are:
          size       total program size
          resident   resident set size
          share      shared pages
          trs        text (code)
          drs        data/stack
          lrs        library
          dt         dirty pages
--snip--

The order of drs and lrs are reversed.  See
http://lxr.linux.no/source/fs/proc/array.c#L510  :

510         return sprintf(buffer,"%d %d %d %d %d %d %d\n",
511                        size, resident, share, trs, lrs, drs, dt);





Version-Release number of selected component (if applicable):
man-pages-1.60-4

How reproducible:
Always

Steps to Reproduce:
1. $ man proc
2. Read man page.  :-)

    

Additional info:

Comment 1 Eido Inoue 2004-08-20 18:17:01 UTC
proc man page is rewritten with version 1.67, which doe snot mention
the struct.


Note You need to log in before you can comment on or make changes to this bug.